<div class="checkbox-radio-group {{ field.required|default(false) ? 'required' : '' }}">
  {% set optionType = field.type == "checkbox-group" ? "checkbox" : "radio" %}
  {% set optionClass = field.style is defined and field.style == "filled" ? "filled-in" : "" %}
  {% set elementValue = elementValue ? elementValue : [] %}
  
  {% set errorMsg = fields.errorMsg|default('commons.choose_one_option'|trans) %}
  <div class="label-container">
    {% if field.label %}<label class="checkbox-radio-group-label to"><span class="to-html">{{ field.label|raw }}</span>{% if field.required|default(false) %}<span class="mandatory-asterisk"></span>{% endif %}<span class="error">{{ errorMsg }}</span></label>{% endif %}    
  </div>

  {% for option in field.values %}
  <div class="checkbox-container"> 
    <input type='hidden' value="" name="data[{{ field.name }}]"> {# default value, empty #}
    {% set optionId = field.name ~ '-' ~ option.value %}
    <input name="data[{{ field.name }}][]" type="{{ optionType }}" id="{{ optionId }}" value="{{option.value}}" class="{{ optionClass }}"
            {% if option.value in elementValue or not elementValue and option.selected is defined %}checked="checked"{% endif %}/>
    <label for="{{ optionId }}">{{ option.label|raw }}</label>
  </div>
  {% endfor %}
</div>